//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
#include "FishingUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
        Rod.NutRodLongevity = 10;
        Rod.BambooRodLongevity = 25;
        Rod.Bamboo2RodLongevity = 70;
        Rod.Bamboo3RodLongevity = 120;
        Rod.TelescopicRodLongevity = 250;
        Rod.TelescopicLightenedRodLongevity = 600;
        Rod.NetLongevity = 30;
}
//---------------------------------------------------------------------------
void TForm1::Calculation()
{
        FishCalculation = ((Fish.Cancer * 2) + (Fish.Gudgeon * 2.7) + (Fish.Topsail * 2.9) + (Fish.Redfeather * 2.9) + (Fish.Goby * 3) + (Fish.Carp * 5) + (Fish.Bream * 5) + (Fish.Perch * 5) + (Fish.Ruff * 8) + (Fish.Roech * 8.5) + (Fish.EuropeanCarp * 9) + (Fish.Near * 9) + (Fish.Ide * 11) + (Fish.Molt * 26) + (Fish.Sheatfish * 26) + (Fish.Burbot * 29) + (Fish.Pikeperch * 30) + (Fish.Gog * 58) + (Fish.Pike * 80) + (Fish.Trout * 83));
        BaitCalculation = ((Bait.Bread * 1) + (Bait.Worm * 1) + (Bait.LargeWorm * 1) + (Bait.Fall * 5) + (Bait.Moth * 5) + (Bait.SpoonBait * 50));
        RodCalculation = ((Rod.NutRod * 10) + (Rod.BambooRod * 25) + (Rod.Bamboo2Rod * 70) + (Rod.Bamboo3Rod * 120) + (Rod.TelescopicRod * 250) + (Rod.TelescopicLightenedRod * 600) + (Rod.Net * 30) + (10 - Rod.NutRodLongevity) + (25 - Rod.BambooRodLongevity) + (70 - Rod.Bamboo2RodLongevity) + (120 - Rod.Bamboo3RodLongevity) + (250 - Rod.TelescopicRodLongevity) + (600 - Rod.TelescopicLightenedRodLongevity) + (30 - Rod.NetLongevity));
        ResultCalculation = FishCalculation - BaitCalculation - RodCalculation;
        ShowMessage("  : " + IntToStr(ResultCalculation) + " .");
}
//---------------------------------------------------------------------------
void __fastcall TForm1::N2Click(TObject *Sender)
{
        if (Form2->ShowModal() == mrOk)
        {
                AnsiString Can, Gud, Top, Red, Gob, Car, Bre, Per, Ruf, Roe, Eur, Nea, Ide, Mol, She, Bur, Pikp, Gog, Pik, Tro;
                Can = Form2->CancerEdit->Text;
                Gud = Form2->GudgeonEdit->Text;
                Top = Form2->TopsailEdit->Text;
                Red = Form2->RedfeatherEdit->Text;
                Gob = Form2->GobyEdit->Text;
                Car = Form2->CarpEdit->Text;
                Bre = Form2->BreamEdit->Text;
                Per = Form2->PerchEdit->Text;
                Ruf = Form2->RuffEdit->Text;
                Roe = Form2->RoechEdit->Text;
                Eur = Form2->EuropeanCarpEdit->Text;
                Nea = Form2->NearEdit->Text;
                Ide = Form2->IdeEdit->Text;
                Mol = Form2->MoltEdit->Text;
                She = Form2->SheatfishEdit->Text;
                Bur = Form2->BurbotEdit->Text;
                Pikp = Form2->PikeperchEdit->Text;
                Gog = Form2->GogEdit->Text;
                Pik = Form2->PikeEdit->Text;
                Tro = Form2->TroutEdit->Text;
                if (!(Can == "" || Gud == "" || Top == "" || Red == "" || Gob == "" || Car == "" || Bre == "" || Per == "" || Ruf == "" || Roe == "" || Eur == "" || Nea == "" || Ide == "" || Mol == "" || She == "" || Bur == "" || Pikp == "" || Gog == "" || Pik == "" || Tro == ""))
                {
                        Fish.Cancer = StrToInt(Can);
                        Fish.Gudgeon = StrToInt(Gud);
                        Fish.Topsail = StrToInt(Top);
                        Fish.Redfeather = StrToInt(Red);
                        Fish.Goby = StrToInt(Gob);
                        Fish.Carp = StrToInt(Car);
                        Fish.Bream = StrToInt(Bre);
                        Fish.Perch = StrToInt(Per);
                        Fish.Ruff = StrToInt(Ruf);
                        Fish.Roech = StrToInt(Roe);
                        Fish.EuropeanCarp = StrToInt(Eur);
                        Fish.Near = StrToInt(Nea);
                        Fish.Ide = StrToInt(Ide);
                        Fish.Molt = StrToInt(Mol);
                        Fish.Sheatfish = StrToInt(She);
                        Fish.Burbot = StrToInt(Bur);
                        Fish.Pikeperch = StrToInt(Pikp);
                        Fish.Gog = StrToInt(Gog);
                        Fish.Pike = StrToInt(Pik);
                        Fish.Trout = StrToInt(Tro);
                }
                else
                {
                        ShowMessage("    .  -  .");
                }
        }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::N3Click(TObject *Sender)
{
        if (Form3->ShowModal() == mrOk)
        {
                AnsiString Bre, Wor, Lar, Fal, Mot, Spo;
                Bre = Form3->BreadEdit->Text;
                Wor = Form3->WormEdit->Text;
                Lar = Form3->LargeWormEdit->Text;
                Fal = Form3->FallEdit->Text;
                Mot = Form3->MothEdit->Text;
                Spo = Form3->SpoonBaitEdit->Text;
                if (!(Bre == "" || Wor == "" || Lar == "" || Fal == "" || Mot == "" || Spo == ""))
                {
                        Bait.Bread = StrToInt(Bre);
                        Bait.Worm = StrToInt(Wor);
                        Bait.LargeWorm = StrToInt(Lar);
                        Bait.Fall = StrToInt(Fal);
                        Bait.Moth = StrToInt(Mot);
                        Bait.SpoonBait = StrToInt(Spo);
                }
                else
                {
                        ShowMessage("    .  -  .");
                }
        }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::N4Click(TObject *Sender)
{
        if (Form4->ShowModal() == mrOk)
        {
                AnsiString Nut, Bam, Bam2, Bam3, Tel, TelL, Net, Nutl, Baml, Bam2l, Bam3l, Tell, TelLl, Netl;
                Nut = Form4->NutRodEdit->Text;
                Bam = Form4->BambooRodEdit->Text;
                Bam2 = Form4->Bamboo2RodEdit->Text;
                Bam3 = Form4->Bamboo3RodEdit->Text;
                Tel = Form4->TelescopicRodEdit->Text;
                TelL = Form4->TelescopicLightenedRodEdit->Text;
                Net = Form4->NetEdit->Text;
                Nutl = Form4->NutRodLongevityEdit->Text;
                Baml = Form4->BambooRodLongevityEdit->Text;
                Bam2l = Form4->Bamboo2RodLongevityEdit->Text;
                Bam3l = Form4->Bamboo3RodLongevityEdit->Text;
                Tell = Form4->TelescopicRodLongevityEdit->Text;
                TelLl = Form4->TelescopicLightenedRodLongevityEdit->Text;
                Netl = Form4->NetLongevityEdit->Text;
                if (!(Nut == "" || Bam == "" || Bam2 == "" || Bam3 == "" || Tel == "" || TelL == "" || Net == "" || Nutl == "" ||  StrToInt(Nutl) > 10 || Baml == "" ||  Baml > 25 || Bam2l == "" ||  Bam2l > 70 || Bam3l == "" ||  Bam3l > 120 || Tell == "" ||  Tell > 250 || TelLl == "" ||  TelLl > 600 || Netl == "" ||  Netl > 30))
                Rod.NutRod = StrToInt(Nut);
                Rod.BambooRod = StrToInt(Bam);
                Rod.Bamboo2Rod = StrToInt(Bam2);
                Rod.Bamboo3Rod = StrToInt(Bam3);
                Rod.TelescopicRod = StrToInt(Tel);
                Rod.TelescopicLightenedRod = StrToInt(TelL);
                Rod.Net = StrToInt(Net);
                Rod.NutRodLongevity = StrToInt(Nutl);
                Rod.BambooRodLongevity = StrToInt(Baml);
                Rod.Bamboo2RodLongevity = StrToInt(Bam2l);
                Rod.Bamboo3RodLongevity = StrToInt(Bam3l);
                Rod.TelescopicRodLongevity = StrToInt(Tell);
                Rod.TelescopicLightenedRodLongevity = StrToInt(TelLl);
                Rod.NetLongevity = StrToInt(Netl);
        }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::N8Click(TObject *Sender)
{
        Application->Terminate();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CalculationButtonClick(TObject *Sender)
{
        Calculation();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormKeyDown(TObject *Sender, WORD &Key,
      TShiftState Shift)
{
        if (Key == 13)
        {
                Form1->CalculationButtonClick(Form1);
        }
        if (Key == 27)
        {
                Application->Terminate();
        }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::N7Click(TObject *Sender)
{
        Calculation();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::N6Click(TObject *Sender)
{
        Form5->Show();
}
//---------------------------------------------------------------------------
